package polling_station_dashboard.settings.java;

import javafx.fxml.FXML;
import javafx.stage.Stage;

/**
 * Created by Vladimir Eliezer Tokarev on 04/06/2016.
 * manages the button pressing of the settings
 */
public class settingsController {

    private Stage currentStage;
    private SettingsUpdate settingsUpdater;

    public void SetStage(Stage stage){
        this.currentStage = stage;
    }

    public void SetSettingsUpdate(SettingsUpdate updater){
        this.settingsUpdater = updater;
    }

    @FXML
    private void CloseSettings(){
        // UpdateStatusLog is called from open status log object which means that
        // the current UpdateStatusLog will close it
        this.settingsUpdater.UpdateSettings();
    }
}
